---
page_title: Validate OTP
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/validate-otp
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fvisa-agentic-transactions%2Fvalidate-otp
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Validate OTP



This api is used to validate OTP and do device binding for a device and card combination## Endpoints:
- Sandbox: https://sandbox.juspay.in/validateOtp

- Production: https://api.juspay.in/validateOtp

## Request Type: 
POST

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

> **Note**
> Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==


- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required
## Headers:

#### x-merchantid:
Merchantid of the AI Agent to be passed here
- Tags: String, Mandatory
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
{
    "tokenReference": "479518c708c3e3ccb68314501ee4c702",
    "otpValue": "456789",
    "clientReferenceId": "9d4050c011ee4654adec05873299a640",
    "networkType": "VISA",
    "vProvisionedTokenId": "479518c708c3e3ccb68314501ee4c702"
}

```

### Sample Response:

#### Response:
```plaintext
{
    "status": "SUCCESS",
    "responseCode": null,
    "responseMessage": null
}

```

## Body Parameters:
### Request body:

#### tokenReference:
- Description: Token reference of the card used in the transaction
- Value: value
- Tags: String, Mandatory

#### otpValue:
- Description: The OTP being used to validate the user and device combination
- Tags: String, Mandatory

#### clientReferenceId:
- Description: Session id used by VISA to check the status of the flow
- Tags: String, Mandatory

#### networkType:
- Description: Example: VISA
- Tags: ENUM, Mandatory

#### vProvisionedTokenId:
- Description: Token id of the VISA card being used in the transaction
- Tags: String, Mandatory
## API Responses:
### 200:

#### status:
- Value: SUCCESS
- Tags: String

#### responseCode:

#### responseMessage:


---

## See Also

- [Trigger OTP](https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/trigger-otp)
- [Enroll Card in VISA Intelligent Commerce](https://juspay.io/in/docs/api-reference/docs/visa-agentic-transactions/enroll-card-in-visa-intelligent-commerce)
